System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object

When performing XML signing and verification, the <Transform> element describes how the signer transformed the data object that was signed. The verifier of a document then uses the <Transform> element to transform the signed data in the same manner. If the verifier cannot transform the signed data in the same manner, the document cannot be verified.

Use a class that derives from the class whenever you need to add one or more transform objects to an encrypted XML document or to a signed XML document.

For more information about the <Transform> element, see the XMLDSIG specification, which is available from the World Wide Web Consortium (W3C) at www.w3.org/TR/xmldsig-core/, or the XML encryption specification, which is available from the W3C at www.w3.org/TR/xmlenc-core/.

Represents the abstract base class from which all <Transform> elements that can be used in an XML digital signature derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  This property corresponds to the attribute of a <Transform> element in an XMLDSIG signature. For example, the algorithm URI for the Base64 decoding transform is defined as http://www.w3.org/2000/09/xmldsig#base64 in the XMLDSIG specification (Section 6.6.2).

  You can conveniently set this value using one of the static fields associated with the class.

  Gets or sets the Uniform Resource Identifier (URI) that identifies the algorithm performed by the current transform.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Xml.XmlElement To be added.

  When signing a document, the property represents the value passed to the constructor. When verifying a document, the property represents object.

  The property is set automatically during signature computation and checking, but before transforms are invoked.

  Gets or sets an object that represents the document context under which the current object is running.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Byte[] `` To be added.

  When overridden in a derived class, returns the digest associated with a object.

  The digest associated with a object.

  The object used to create a digest.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList To be added

  When overridden in a derived class, returns an XML representation of the parameters of the object that are suitable to be included as subelements of an XMLDSIG <Transform> element.

  A list of the XML nodes that represent the transform-specific content needed to describe the current object in an XMLDSIG <Transform> element.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  When overridden in a derived class, returns the output of the current object.

  The output of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method returns the output of the current transform after it is run on the value previously set by a call to the method.

  The type of the returned object must be one of the type objects in the property.

  When overridden in a derived class, returns the output of the current object of the specified type.

  The output of the current object as an object of the specified type.

  The type of the output to return. This must be one of the types in the property.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  The object returned by this method conforms to the XML Scheme for the <Transform> element defined in Section 4.3.3.4 of the XMLDSIG specification.

  Returns the XML representation of the current object.

  The XML representation of the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] a

  The array returned by the property must contain at least one element because every object must accept at least one type as valid input.

  A object typically accepts one or more of the following types as input: , , or .

  When overridden in a derived class, gets an array of types that are valid inputs to the method of the current object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is used to process subelements of a <Transform> element.

  When overridden in a derived class, parses the specified object as transform-specific content of a <Transform> element and configures the internal state of the current object to match the <Transform> element.

  An object that specifies transform-specific content for the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The type of the input object must be one of the types in the property.

  When overridden in a derived class, loads the specified input into the current object.

  The input to load into the current object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type[] a

  The array returned by the property must contain at least one element because every transform must generate at least one type as output.

  When overridden in a derived class, gets an array of types that are possible outputs from the methods of the current object.

- Property
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Collections.Hashtable To be added.

  XML namespaces are used to distinguish different elements in a document that have the same name.

  The keys of the property are the namespace prefixes and the values are the namespace Uniform Resource Identifiers (URIs).

  The property is set automatically during signature computation and checking, but before transforms are invoked.

  Gets or sets a object that contains the namespaces that are propagated into the signature.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Xml.XmlResolver a

  The class resolves external XML resources named by a Uniform Resource Identifier (URI). If you do not trust the source of the XML file, you might not want to allow the XML file to access computer resources named by the URI. The property allows you to control the level of access that XML files have to computer resources by specifying different objects. If you do not want to allow any access, you can set this property to null (Nothing in Visual Basic).

  Sets the current object.